/**
 * Test case for apemanmodule.
 * Runs with mocha.
 */
'use strict'

const apemanmodule = require('../lib/apemanmodule.js')
const assert = require('assert')

describe('apemanmodule', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Apemanmodule', (done) => {
    let index = apemanmodule(`${__dirname}/../doc/mocks/mock_module`, {
      pascal: 'bar_*',
      strict: true,
      vars: {
        quz: 'Value of Quz'
      }
    })
    assert.ok(index)
    assert.ok(index('fooModule'))
    assert.throws(() => {
      assert.ok(index('__invalid_module__'))
    })
    assert.ok(index[ 'fooModule' ])
    assert.ok(index('BarModule'))
    assert.ok(index[ 'BarModule' ])

    assert.equal(index[ 'fooModule' ].name, 'foo')
    assert.equal(index[ 'BarModule' ].name, 'bar')

    assert.deepEqual(index('bazJson'), {
      hey: 'This is Value of Quz',
      yeah: [ 'foo', 'Value of Quz' ]
    })

    let hoge = index('hoge/hoge.js') // By Relative path.
    assert.equal(hoge, 'This is hoge.')
    done()
  })
})

/* global describe, before, after, it */
